/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2024. All rights reserved.
 */

#ifndef JAC_AP_INNOLIDARSERVICE_INNOLIDARSERVICE_COMMON_H
#define JAC_AP_INNOLIDARSERVICE_INNOLIDARSERVICE_COMMON_H

#include "ara/com/types.h"
#include "ara/com/init_config.h"
#include "perception/impl_type_lidar2lidarperception.h"
#include <cfloat>
#include <cmath>

namespace jac {
namespace ap {
namespace innolidarservice {

class InnoLiDARService {
public:
    constexpr InnoLiDARService() = default;
    constexpr static ara::com::ServiceIdentifierType ServiceIdentifier = ara::com::ServiceIdentifierType("/huawei/ap/Service/instance/InnoLiDARService");
    constexpr static ara::com::ServiceVersionType ServiceVersion = ara::com::ServiceVersionType("1.1");
};
} // namespace innolidarservice
} // namespace ap
} // namespace jac

#endif // JAC_AP_INNOLIDARSERVICE_INNOLIDARSERVICE_COMMON_H
